Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1419206 - [abrt] gitg: kh_get_oid(): gitg killed by SIGSEGV
Summary: [abrt] gitg: kh_get_oid(): gitg killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gitg
Version: 25
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ignacio Casal Quinteiro (nacho)
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:ed5f32f00cb929a6e8f1fcc90de...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-03 22:36 UTC by Diogo Campos
Modified: 2017-12-12 10:30 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-12 10:30:42 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (58.18 KB, text/plain)
2017-02-03 22:37 UTC, Diogo Campos
no flags Details
File: cgroup (242 bytes, text/plain)
2017-02-03 22:37 UTC, Diogo Campos
no flags Details
File: core_backtrace (15.51 KB, text/plain)
2017-02-03 22:37 UTC, Diogo Campos
no flags Details
File: dso_list (16.41 KB, text/plain)
2017-02-03 22:37 UTC, Diogo Campos
no flags Details
File: environ (2.02 KB, text/plain)
2017-02-03 22:37 UTC, Diogo Campos
no flags Details
File: exploitable (127 bytes, text/plain)
2017-02-03 22:37 UTC, Diogo Campos
no flags Details
File: limits (1.29 KB, text/plain)
2017-02-03 22:37 UTC, Diogo Campos
no flags Details
File: maps (71.44 KB, text/plain)
2017-02-03 22:37 UTC, Diogo Campos
no flags Details
File: mountinfo (3.45 KB, text/plain)
2017-02-03 22:37 UTC, Diogo Campos
no flags Details
File: namespaces (102 bytes, text/plain)
2017-02-03 22:37 UTC, Diogo Campos
no flags Details
File: open_fds (1.15 KB, text/plain)
2017-02-03 22:37 UTC, Diogo Campos
no flags Details
File: proc_pid_status (1.11 KB, text/plain)
2017-02-03 22:37 UTC, Diogo Campos
no flags Details
File: var_log_messages (304 bytes, text/plain)
2017-02-03 22:37 UTC, Diogo Campos
no flags Details

Description Diogo Campos 2017-02-03 22:36:54 UTC
Version-Release number of selected component:
gitg-3.22.0-2.fc25

Additional info:
reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        gitg --no-wd
crash_function: kh_get_oid
executable:     /usr/bin/gitg
global_pid:     10054
kernel:         4.9.3-200.fc25.x86_64
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 kh_get_oid at /usr/src/debug/libgit2-0.24.6/src/cache.c:18
 #1 cache_get at /usr/src/debug/libgit2-0.24.6/src/cache.c:159
 #2 git_cache_get_any at /usr/src/debug/libgit2-0.24.6/src/cache.c:259
 #3 git_object_lookup_prefix at /usr/src/debug/libgit2-0.24.6/src/object.c:142
 #4 git_object_lookup at /usr/src/debug/libgit2-0.24.6/src/object.c:198
 #5 git_commit_lookup at /usr/src/debug/libgit2-0.24.6/src/object_api.c:22
 #6 git_commit_parent at /usr/src/debug/libgit2-0.24.6/src/commit.c:556
 #7 ggit_commit_parents_get at ggit-commit-parents.c:182
 #8 gitg_diff_view_commit_details_update at /home/jesse/dev/gitg/libgitg/gitg-diff-view-commit-details.vala:212
 #9 gitg_diff_view_commit_details_set_commit at /home/jesse/dev/gitg/libgitg/gitg-diff-view-commit-details.vala:91

Potential duplicate: bug 1285833

Comment 1 Diogo Campos 2017-02-03 22:37:01 UTC
Created attachment 1247590 [details]
File: backtrace

Comment 2 Diogo Campos 2017-02-03 22:37:02 UTC
Created attachment 1247591 [details]
File: cgroup

Comment 3 Diogo Campos 2017-02-03 22:37:04 UTC
Created attachment 1247592 [details]
File: core_backtrace

Comment 4 Diogo Campos 2017-02-03 22:37:06 UTC
Created attachment 1247593 [details]
File: dso_list

Comment 5 Diogo Campos 2017-02-03 22:37:07 UTC
Created attachment 1247594 [details]
File: environ

Comment 6 Diogo Campos 2017-02-03 22:37:09 UTC
Created attachment 1247595 [details]
File: exploitable

Comment 7 Diogo Campos 2017-02-03 22:37:11 UTC
Created attachment 1247596 [details]
File: limits

Comment 8 Diogo Campos 2017-02-03 22:37:13 UTC
Created attachment 1247597 [details]
File: maps

Comment 9 Diogo Campos 2017-02-03 22:37:15 UTC
Created attachment 1247598 [details]
File: mountinfo

Comment 10 Diogo Campos 2017-02-03 22:37:16 UTC
Created attachment 1247599 [details]
File: namespaces

Comment 11 Diogo Campos 2017-02-03 22:37:18 UTC
Created attachment 1247600 [details]
File: open_fds

Comment 12 Diogo Campos 2017-02-03 22:37:19 UTC
Created attachment 1247601 [details]
File: proc_pid_status

Comment 13 Diogo Campos 2017-02-03 22:37:21 UTC
Created attachment 1247602 [details]
File: var_log_messages

Comment 14 Fedora End Of Life 2017-11-16 14:26:38 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 15 Fedora End Of Life 2017-12-12 10:30:42 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.